imports:
  - { resource: "./Finishers/Confirmation.yaml" }
  - { resource: "./Finishers/Salesforce.yaml" }
  - { resource: "./Finishers/SalesforceApi.yaml" }
  - { resource: "./FormElements/AdvancedPassword.yaml" }
  - { resource: "./FormElements/Checkbox.yaml" }
  - { resource: "./FormElements/Date.yaml" }
  - { resource: "./FormElements/DatePicker.yaml" }
  - { resource: "./FormElements/Email.yaml" }
  - { resource: "./FormElements/Form.yaml" }
  - { resource: "./FormElements/Hidden.yaml" }
  - { resource: "./FormElements/MultiCheckbox.yaml" }
  - { resource: "./FormElements/MutliSelect.yaml" }
  - { resource: "./FormElements/Number.yaml" }
  - { resource: "./FormElements/Password.yaml" }
  - { resource: "./FormElements/RadioButton.yaml" }
  - { resource: "./FormElements/SingleSelect.yaml" }
  - { resource: "./FormElements/SingleSelectTypoScript.yaml" }
  - { resource: "./FormElements/SingleSelectWithCountries.yaml" }
  - { resource: "./FormElements/StaticText.yaml" }
  - { resource: "./FormElements/Telephone.yaml" }
  - { resource: "./FormElements/Text.yaml" }
  - { resource: "./FormElements/Textarea.yaml" }
  - { resource: "./FormElements/Url.yaml" }

persistenceManager:
  allowSaveToExtensionPaths: true
  allowDeleteFromExtensionPaths: true
  allowedExtensionPaths:
    10: EXT:ne_form_ext/Resources/Private/Forms/

prototypes:
  standard:
    formEditor:
      formEditorFluidConfiguration:
        partialRootPaths:
          20: 'EXT:ne_form_ext/Resources/Private/Backend/Partials/FormEditor/'
      dynamicRequireJsModules:
        additionalViewModelModules:
          - 'TYPO3/CMS/NeFormExt/Backend/FormEditor/ViewModel'
      translationFiles:
        20: 'EXT:ne_form_ext/Resources/Private/Language/Database.xlf'
    formEngine:
      translationFiles:
        20: 'EXT:ne_form_ext/Resources/Private/Language/Database.xlf'
    formElementsDefinition:
      FileUpload: null
      ImageUpload: null